Subject: Re: [PATCH net-next v2 4/7] net: nexthop: Expose nexthop group stats to user space

From: Jakub Kicinski <[email-masked]>
Date: Fri, 1 Mar 2024 09:28:13 -0800

On Fri, 1 Mar 2024 08:45:52 -0700 David Ahern wrote:
> > +	/* uint; number of packets forwarded via the nexthop group entry */  
> 
> why not make it a u64?

I think it should be our default type. Explicit length should only 
be picked if there's a clear reason. Too many review cycles wasted
steering people onto correct types...

Now, I'm not sure Pablo merged the sint/uint support into libmnl,
I can share the patches to handle them in iproute2, if that helps.
Or just copy/paste from YNL.

I need to find the courage to ask you how we can start using YNL
in iproute2, I really worry that we're not getting CLI tools written
for new families any more :(